package dk.vajhoej.record.edit;

import java.awt.BorderLayout;

import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;

abstract class FieldBase<T> extends JPanel {
	private static final long serialVersionUID = 1L;
	public abstract T getValue();
	public abstract void setValue(T o);
	public JPanel connect(JLabel lbl, JComponent c) {
		JPanel res = new JPanel();
		res.setLayout(new BorderLayout());
		res.add(lbl,  BorderLayout.WEST);
		res.add(c, BorderLayout.CENTER);
		return res;
	}
}
